aboutsummaryrefslogtreecommitdiffstats
path: root/debian/tests/test-dkms
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/test-dkms')
-rw-r--r--debian/tests/test-dkms18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/tests/test-dkms b/debian/tests/test-dkms
new file mode 100644
index 00000000..ab3aca00
--- /dev/null
+++ b/debian/tests/test-dkms
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -eu
+
+basedir=$(dirname "$0")
+. "${basedir}"/check-dpdk-supported-arch.sh
+
+# check that the dkms build fine (on dep install), load and unload
+printf "\n\nChecking igb_uio\n"
+modinfo igb_uio
+modprobe igb_uio
+rmmod igb_uio
+echo "OK"
+
+printf "\n\nChecking igb_uio\n"
+modinfo rte_kni
+modprobe rte_kni
+rmmod rte_kni
+echo "OK"